Description: Do not attempt to run tput if TERM is not set or set to "unknown" (e.g. in Ubuntu builders
Bug-Debian: https://bugs.debian.org/923869
Author: Gianfranco Costamagna <locutusofborg@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2019-03-06
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=128729
Bug: https://rt.cpan.org/Ticket/Display.html?id=128729

--- a/lib/XML/XQL.pm
+++ b/lib/XML/XQL.pm
@@ -507,7 +507,7 @@
 {
     # Let me know if I need to add other systems for which 'tput' is not 
     # available.
-    return undef unless defined $ENV{TERM};
+    return undef unless defined $ENV{TERM} and $ENV{TERM} ne "unknown";
     if ($^O =~ /Win|MacOS/)
     {
 	return "";
